#ifndef KATOPTRON_ITERATIVESOLVER_H
#define KATOPTRON_ITERATIVESOLVER_H

#include "katoptron.h"
#include "wObject.h"
#include "wTimer.h"
#include "wTimers.h"
#include "Teuchos_ParameterList.hpp"

#include "LinearSolver.h"

namespace katoptron
{

/**
 * @brief Solver class where the active set strategy is implemented.
 */
class KATOPTRON_API IterativeSolver : public LinearSolver
{
public:
    IterativeSolver(Problem &pbl, Teuchos::RCP<Teuchos::ParameterList> solverList,
                    int numPrimalDPN = 3,
                    size_t minimum_ensemble_size = 1)
        : LinearSolver(pbl, solverList, numPrimalDPN, minimum_ensemble_size){};
#ifndef SWIG
    virtual void write(std::ostream &out) const;
#endif
    void start();

private:
    template <typename scalar>
    void tstart();
};

} // namespace katoptron

#endif //KATOPTRON_ITERATIVESOLVER_H
