#!/usr/bin/env python3
# -*- coding: utf-8; -*-

# Copyright 2020 University of Liège
# 
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#     http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.


import numpy as np

def main():

    from scipy.stats import gamma
    import matplotlib.pyplot as plt
    fig, ax = plt.subplots(1, 1)

    m_H = 1495.
    sigmaS_H = 1390.
    k = m_H**2 / sigmaS_H
    theta = sigmaS_H / m_H
    x = np.linspace(0,1, 100)
    loc = 0. 
    ax.plot(x,gamma.isf(1-x, k, loc, theta),'r-', lw=5, alpha=0.6, label='norm pdf')
    plt.show()

if __name__ == "__main__":
    main()
