/*
 * Copyright 2020 University of Liège
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef WSFTETRA4_H
#define WSFTETRA4_H

#include "tbox.h"
#include <Eigen/Dense>

namespace tbox
{

/**
 * @brief Tetra4 shape functions
 * @authors Romain Boman
 */
class TBOX_API SfTetra4
{
public:
    SfTetra4() {}
    void eval(Eigen::Vector3d const &ksi, Eigen::VectorXd &ff) const;
    void evalD(Eigen::Vector3d const &ksi, Eigen::MatrixXd &dff) const;
};

} // namespace tbox

#endif //WSFTETRA4_H
