Include "geophysique_param.geo";

Mesh.RecombineAll = 1;
Mesh.Algorithm = 8;
Mesh.VolumeEdges = 0;
View.DrawSkinOnly = 1;
View.IntervalsType = 1;
View.NbIso = 10;

For i In {1:9}
  y~{i} = Y * i/10;
EndFor

lambda = 1500 / Freq;
lc = lambda / 10;
N = Z / lc;

Point(1) = {0, 0, 0, lc};
Point(2) = {-X, 0, 0, lc};
Point(3) = {X, 0, 0, lc};
Point(4) = {-X, -Y,0, lc};
Point(5) = {X, -Y, 0, lc};

Point(10) = {-X, -y_3, 0, lc};
Point(11) = {0, -y_2, 0, lc};
Point(12) = {X, -y_4, 0, lc};

Point(20) = {-X, -y_5, 0, lc};
Point(21) = {0, -y_6, 0, lc};
Point(22) = {X, -y_6, 0, lc};

Point(30) = {-X, -y_9, 0, lc};
Point(31) = {0, -y_8, 0, lc};
Point(32) = {X, -y_7, 0, lc};

Line(1) = {2, 1};
Line(2) = {1, 3};
Line(3) = {3, 12};
Line(4) = {12, 22};
Line(5) = {22, 32};
Line(6) = {32, 5};
Line(7) = {5, 4};
Line(8) = {4, 30};
Line(9) = {30, 20};
Line(10) = {20, 10};
Line(11) = {10, 2};
Spline(12) = {10, 11, 12};
Spline(13) = {20, 21, 22};
Spline(14) = {30, 31, 32};
Line Loop(15) = {1, 2, 3, -12, 11};
Plane Surface(16) = {15};
Line Loop(17) = {12, 4, -13, 10};
Plane Surface(18) = {17};
Line Loop(19) = {13, 5, -14, 9};
Plane Surface(20) = {19};
Line Loop(21) = {14, 6, 7, 8};
Plane Surface(22) = {21};

e1[] = Extrude {0, 0, Z} { Surface{16, 18, 20, 22}; Layers {N}; Recombine; };
e2[] = Extrude {0, 0, -Z} { Surface{16, 18, 20, 22}; Layers {N}; Recombine; };

Physical Point(GAMMAD) = {1};

Physical Volume(OMEGA_1) = {1,5};
Physical Volume(OMEGA_2) = {2,6};
Physical Volume(OMEGA_3) = {3,7};
Physical Volume(OMEGA_4) = {4,8};

Physical Surface(GAMMAINF_1) = {-49, -48, 141, 142, -40, 133};
Physical Surface(GAMMAINF_2) = {-71, -70, 163, 164, -62, 155};
Physical Surface(GAMMAINF_3) = {-93, -92, 185, 186, -84, 177};
Physical Surface(GAMMAINF_4) = {-115, -110, 203, 208, -106, 199, -114, 207};
